Page MenuHomePhabricator

Refactor structure
Closed, ResolvedPublic

Event Timeline

rosst created this task.Jan 31 2018, 3:53 PM
rosst added a comment.EditedFeb 6 2018, 6:31 PM

A re-structuring was done:

  1. The config file was changed
  2. Pages can now be hidden via css. This keeps all inputs stored by the browser
  3. Pages, their order and elements are dynamically created according to the config file

Still to do:

  1. Repeating elements, where the number is defined by another button
  2. Style according to the click dummy design
rosst added a comment.Apr 4 2018, 6:15 PM

Complete refactoring to reactjs given structure with actions and reducers

rosst closed this task as Resolved.Jun 6 2018, 3:17 PM